Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.jacob.examples.eratosthenes
Class NaturalNumberStreamChannelListener

    java.lang.Object
      org.apache.ode.jacob.JacobObject
          org.apache.ode.jacob.ChannelListener<NaturalNumberStreamChannel>
              org.apache.ode.jacob.examples.eratosthenes.NaturalNumberStreamChannelListener

All Implemented Interfaces:
  java.io.Serializable, NaturalNumberStream

    public abstract class NaturalNumberStreamChannelListener

extends ChannelListener<NaturalNumberStreamChannel>
implements NaturalNumberStream

An auto-generated channel listener abstract class for the `NaturalNumberStream` channel type.

See Also:
  `NaturalNumberStream`, `NaturalNumberStreamChannel`, Serialized Form

Constructor Summary
`protected` | `NaturalNumberStreamChannelListener(NaturalNumberStreamChannel channel)`

Method Summary
`protected org.apache.commons.logging.Log` | `log()`

Methods inherited from class org.apache.ode.jacob.ChannelListener
`getChannel, getImplementedMethods, or, or, setChannel, toString`

Methods inherited from class org.apache.ode.jacob.JacobObject
`getClassName, getExtension, getMethod, importChannel, instance, newChannel, newChannel, object, object, object, object, replication, replication`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.ode.jacob.examples.eratosthenes.NaturalNumberStream
`val`

Constructor Detail

### NaturalNumberStreamChannelListener

    protected NaturalNumberStreamChannelListener(NaturalNumberStreamChannel channel)

Method Detail

### log

    protected org.apache.commons.logging.Log log()

  Overrides:
    `log` in class `ChannelListener<NaturalNumberStreamChannel>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD